OpenWrt 18.06.4 Improper Neutralization of Input During Web Page Generation (‘Cross-site Scripting’) Vulnerability

Summary

OpenWrt 18.06.4 suffers from improper neutralization of input during web page generation (‘Cross-site Scripting’) vulnerability.

Credit:

The information has been provided by Vendor

The original article can be found at:https://github.com/openwrt/luci/commit/3961268597abba4c2b231790cb4aa7936e73cdf8


Details

OpenWrt 18.06.4 allows XSS via these Name fields to the cgi-bin/luci/admin/network/firewall/rules URI: “Open ports on router” and “New forward rule” and “New Source NAT” (this can occur, for example, on a TP-Link Archer C7 device).

 

Vulnerable Systems:

OpenWrt 18.06.4

 

CVE Information:

CVE-2019-18992

 

Disclosure Timeline:
Published Date:12/3/2019

Categories: News